Create alert target

PUThttps://api.eulerstream.com/accounts/{account_id}/alerts/{alert_id}/targets/create

Create a target for an alert. This is the HTTP endpoint that will be called when an alert is triggered.

Path Parameters

account_id*number (double)

The ID of the account to create the alert target for

alert_id*number (double)

The ID of the alert to create the target for

Request Body

Required

Configuration for the alert target

url*string
metadataobject

Responses

code*number (double)
messagestring
targetobject

Public, snake_case response shape for an alert target. Mirrors the legacy (old-schema.json) target shape as closely as the new gRPC {@link LivePushAlertTarget} model allows: field casing is converted, metadata is re-hydrated from the stored JSON string, the unix-ms timestamps are threaded back into ISO created_at / updated_at, and alert_creator_id is coerced to a number.

Response200

Delete alert target

DELhttps://api.eulerstream.com/accounts/{account_id}/alerts/{alert_id}/targets/{target_id}/delete

Delete an alert target from the Sign API

Path Parameters

account_id*number (double)

The ID of the account to delete the alert target from

alert_id*number (double)

The ID of the alert to delete the target from

target_id*number (double)

The ID of the target to delete

Responses

code*number (double)
messagestring
Response200

List alert targets

GEThttps://api.eulerstream.com/accounts/{account_id}/alerts/{alert_id}/targets/list

List all alert targets for a specific alert

Path Parameters

account_id*number (double)

The account that the alert belongs to

alert_id*number (double)

The alert to list targets for

Responses

code*number (double)
messagestring
targetsobject[]
Response200

Test alert target

POSThttps://api.eulerstream.com/accounts/{account_id}/alerts/{alert_id}/targets/{target_id}/test

Test an alert target

Path Parameters

account_id*number (double)

The account that the alert belongs to

alert_id*number (double)

The alert that the target belongs to

target_id*number (double)

The target to test

Responses

code*number (double)
messagestring
statusobject
statusLabelstring
Response200